﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Windows8Library;

namespace WpfApplication1
    {
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
        {
        public MainWindow()
            {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
            }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
            {
               foreach(ImmersiveColors ic in Enum.GetValues(typeof(ImmersiveColors)))
                   {
                   Rectangle rect = new Rectangle()
                   {
                       Fill = new SolidColorBrush(ColorFunctions.GetImmersiveColor(ic)),
                       ToolTip = ic.ToString(),
                       Width = 32,
                       Height = 32
                   };
                   wrp.Children.Add(rect);
                   }
            }
        }
    }
